# Trida stav_nadob obsahuje informace o stavu nadob.
# Stav obsahuje seznam nadob a seznam akci.
#
# Autor: Miloš Barborka
# Verze: 1.0

from Data.nadoba import Nadoba
from Data.Akce.Tah import Tah


class StavNadob:

    def __init__(self, nadoby: [Nadoba], akce: [Tah] = None):
        self.nadoby = nadoby
        self.akce = [] if akce is None else akce

    def copy(self):
        return StavNadob([nadoba.copy() for nadoba in self.nadoby], [akce.copy() for akce in self.akce])

    def ziskat_postup(self) -> str:
        cely_postup = self.akce

        text = ""

        for postup in cely_postup:
            text += f"{postup}\n"

        return text

    def __str__(self):
        return f"Stav: {', '.join(str(nadoba) for nadoba in self.nadoby)}"

    def __hash__(self):
        return hash(f"Stav: {', '.join(str(nadoba) for nadoba in self.nadoby)})")

    def __eq__(self, other):

        # Pokud nesouhlasi pocet nadob
        if len(self.nadoby) != len(other.nadoby):
            return False

        # Pokud nesouhlasi nadoby - jejich objem nebo maximalni objem
        for i in range(len(self.nadoby)):
            if self.nadoby[i] != other.nadoby[i]:
                return False

        return True
