# -*- coding: utf-8 -*-
"""
Module: pantry
Description: Contains a list of dry goods and non-perishable items typically stored in a pantry, including their quantities and units.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""
pantry = {
    'sul': {'mnozstvi': 1000, 'jednotky': 'g'},
    'cukr': {'mnozstvi': 1000, 'jednotky': 'g'},
    'mouka_hladka': {'mnozstvi': 2000, 'jednotky': 'g'},
    'mouka_polohruba': {'mnozstvi': 1000, 'jednotky': 'g'},
    'mouka_ryzova': {'mnozstvi': 500, 'jednotky': 'g'},
    'testoviny': {'mnozstvi': 1000, 'jednotky': 'g'},
    'ryze': {'mnozstvi': 2000, 'jednotky': 'g'},
    'kuskus': {'mnozstvi': 500, 'jednotky': 'g'},
    'bulgur': {'mnozstvi': 500, 'jednotky': 'g'},
    'olej_slunecnicovy': {'mnozstvi': 1.0, 'jednotky': 'l'},
    'olej_olivovy': {'mnozstvi': 0.5, 'jednotky': 'l'},
    'olej_kokosovy': {'mnozstvi': 5.0, 'jednotky': 'l'},
    'ghi': {'mnozstvi': 500, 'jednotky': 'g'},
    'brambory': {'mnozstvi': 250, 'jednotky': 'ks'},
    'cibule': {'mnozstvi': 10, 'jednotky': 'ks'},
    'cesnek': {'mnozstvi': 5, 'jednotky': 'ks'},
    'sojova_omacka': {'mnozstvi': 0.5, 'jednotky': 'l'},
    'kecup': {'mnozstvi': 1.0, 'jednotky': 'l'},
    'horcice': {'mnozstvi': 0.5, 'jednotky': 'l'},
    'med': {'mnozstvi': 500, 'jednotky': 'g'},
    'dzin': {'mnozstvi': 0.75, 'jednotky': 'l'},
    'kakao_prasek': {'mnozstvi': 200, 'jednotky': 'g'},
    'cornflakes': {'mnozstvi': 500, 'jednotky': 'g'},
    'ovesne_vlocky': {'mnozstvi': 1000, 'jednotky': 'g'},
    'orechy': {'mnozstvi': 300, 'jednotky': 'g'},
    'mrazena_zelenina': {'mnozstvi': 1000, 'jednotky': 'g'},
    'skrob': {'mnozstvi': 300, 'jednotky': 'g'},
    'kroupy': {'mnozstvi': 500, 'jednotky': 'g'},
    'cizrna': {'mnozstvi': 1000, 'jednotky': 'g'},
    'cocka': {'mnozstvi': 1000, 'jednotky': 'g'},
    'fazole': {'mnozstvi': 1000, 'jednotky': 'g'},
    'konzervovane_tunaky': {'mnozstvi': 5, 'jednotky': 'ks'},
    'konzervovana_kukurice': {'mnozstvi': 3, 'jednotky': 'ks'},
    'konzervovane_fazole': {'mnozstvi': 4, 'jednotky': 'ks'},
    'cokolada_horka': {'mnozstvi': 200, 'jednotky': 'g'},
    'cokolada_mlecna': {'mnozstvi': 200, 'jednotky': 'g'},
    'susene_jahody': {'mnozstvi': 100, 'jednotky': 'g'},
    'susene_svestky': {'mnozstvi': 200, 'jednotky': 'g'},
    'rozinky': {'mnozstvi': 150, 'jednotky': 'g'},
    'suchary': {'mnozstvi': 500, 'jednotky': 'g'},
    'krekry': {'mnozstvi': 250, 'jednotky': 'g'},
    'chipsy': {'mnozstvi': 300, 'jednotky': 'g'},
    'chilli': {'mnozstvi': 0, 'jednotky': 'ks'},
}

