# -*- coding: utf-8 -*-
"""
Module: spices
Description: Contains a list of spices and seasonings, their quantities, and units, typically stored in a pantry or spice rack.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""

spices = {
    'sul': {'mnozstvi': 500, 'jednotky': 'g'},
    'pepr': {'mnozstvi': 0, 'jednotky': 'g'},
    'pepr_mlety': {'mnozstvi': 200, 'jednotky': 'g'},
    'pepr_cely': {'mnozstvi': 100, 'jednotky': 'g'},
    'paprika_sladka': {'mnozstvi': 150, 'jednotky': 'g'},
    'paprika_stiplava': {'mnozstvi': 100, 'jednotky': 'g'},
    'chilli_prasek': {'mnozstvi': 50, 'jednotky': 'g'},
    'kurkuma': {'mnozstvi': 100, 'jednotky': 'g'},
    'kari': {'mnozstvi': 200, 'jednotky': 'g'},
    'oregan': {'mnozstvi': 50, 'jednotky': 'g'},
    'majoranka': {'mnozstvi': 50, 'jednotky': 'g'},
    'tymian': {'mnozstvi': 50, 'jednotky': 'g'},
    'rozmaryn': {'mnozstvi': 50, 'jednotky': 'g'},
    'bazalka': {'mnozstvi': 50, 'jednotky': 'g'},
    'cesnek_suseny': {'mnozstvi': 100, 'jednotky': 'g'},
    'cibule_susena': {'mnozstvi': 100, 'jednotky': 'g'},
    'zazvor_mlety': {'mnozstvi': 50, 'jednotky': 'g'},
    'hrebicek': {'mnozstvi': 30, 'jednotky': 'g'},
    'skorice_mleta': {'mnozstvi': 100, 'jednotky': 'g'},
    'skorice_cela': {'mnozstvi': 50, 'jednotky': 'g'},
    'bobkovy_list': {'mnozstvi': 20, 'jednotky': 'g'},
    'novy_koreni': {'mnozstvi': 50, 'jednotky': 'g'},
    'vanilka_lusk': {'mnozstvi': 5, 'jednotky': 'ks'},
    'vanilkovy_cukr': {'mnozstvi': 200, 'jednotky': 'g'},
    'smes_provensalske': {'mnozstvi': 50, 'jednotky': 'g'},
    'kari_pasta': {'mnozstvi': 100, 'jednotky': 'g'},
    'sojova_omacka': {'mnozstvi': 0.25, 'jednotky': 'l'},
    'balzamovy_ocet': {'mnozstvi': 0.25, 'jednotky': 'l'},
    'tabasco': {'mnozstvi': 0.06, 'jednotky': 'l'},
    'wasabi': {'mnozstvi': 50, 'jednotky': 'g'},
    'mletý_kmin': {'mnozstvi': 100, 'jednotky': 'g'},
    'cely_kmin': {'mnozstvi': 100, 'jednotky': 'g'}
}
