# -*- coding: utf-8 -*-
"""
Module: bramboracky
Description: Contains the recipe for traditional Czech Bramboracky, including ingredients, quantities, importance, and substitutions.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""

recipe = {
    'ingredience': [
        {'nazev': 'brambory', 'mnozstvi': 5, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'cibule', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'cesnek', 'mnozstvi': 3, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'vejce', 'mnozstvi': 2, 'jednotka': 'ks', 'podstatne': True, 'substituce': ['lnene_seminko']},
        {'nazev': 'mouka_hladka', 'mnozstvi': 50, 'jednotka': 'g', 'podstatne': True, 'substituce': ['spaldova_mouka']},
        {'nazev': 'majoranka', 'mnozstvi': 5, 'jednotka': 'g', 'podstatne': True, 'substituce': []},
        {'nazev': 'sul', 'mnozstvi': 5, 'jednotka': 'g', 'podstatne': True, 'substituce': []},
        {'nazev': 'pepr', 'mnozstvi': 3, 'jednotka': 'g', 'podstatne': True, 'substituce': ['pepr_mlety', 'pepr_cely']},
        {'nazev': 'olej_slunecnicovy', 'mnozstvi': 0.1, 'jednotka': 'l', 'podstatne': True, 'substituce': ['olej_olivovy', 'olej_kokosovy', 'ghi']}
    ]
}
