# -*- coding: utf-8 -*-
"""
Module: svickova
Description: Contains the recipe for traditional Czech Svickova, including ingredients, quantities, importance, and substitutions.
Author: Martin Riedl
Date: 13.12.2024
Version: 1.0
"""

recipe = {
    'ingredience': [
        {'nazev': 'hovezi_maso', 'mnozstvi': 500, 'jednotka': 'g', 'podstatne': True, 'substituce': ['veprove_maso']},
        {'nazev': 'mrkev', 'mnozstvi': 3, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'petrzel_koren', 'mnozstvi': 2, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'celer', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'cibule', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'smetana', 'mnozstvi': 0.2, 'jednotka': 'l', 'podstatne': True, 'substituce': ['sojova_smetana']},
        {'nazev': 'maslo', 'mnozstvi': 50, 'jednotka': 'g', 'podstatne': True, 'substituce': ['margarin']},
        {'nazev': 'cukr', 'mnozstvi': 20, 'jednotka': 'g', 'podstatne': False, 'substituce': []},
        {'nazev': 'bobkovy_list', 'mnozstvi': 3, 'jednotka': 'ks', 'podstatne': True, 'substituce': []},
        {'nazev': 'novy_koreni', 'mnozstvi': 5, 'jednotka': 'g', 'podstatne': True, 'substituce': []},
        {'nazev': 'citron', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': False, 'substituce': []},
        {'nazev': 'mouka_hladka', 'mnozstvi': 30, 'jednotka': 'g', 'podstatne': True, 'substituce': ['mouka_kukuricna']},
        {'nazev': 'knedlik', 'mnozstvi': 1, 'jednotka': 'ks', 'podstatne': True, 'substituce': []}
    ]
}
